%define pkg_name        HTML-Seamstress
%define pkg_version     4.26
%define rpm_pkg_version 4.26
%define rpm_pkg_release 2.n0i.3

Summary:       HTML::Tree subclass for HTML templating via tree rewriting
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/T/TB/TBONE/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)

%if %{!?_without_test:1}0
BuildRequires: perl(Class::Prototyped) >= 1.1
BuildRequires: perl(File::Slurp) >= 9999.06
BuildRequires: perl(HTML::Element::Library) >= 0.01
BuildRequires: perl(HTML::PrettyPrinter) >= 0.03
BuildRequires: perl(HTML::Tree) >= 3.18
BuildRequires: perl(Pod::Usage) >= 1.14
%endif

Requires:      perl(Class::Prototyped) >= 1.1
Requires:      perl(File::Slurp) >= 9999.06
Requires:      perl(HTML::Element::Library) >= 0.01
Requires:      perl(HTML::PrettyPrinter) >= 0.03
Requires:      perl(HTML::Tree) >= 3.18
Requires:      perl(Pod::Usage) >= 1.14


%description
HTML::Seamstress provides "fourth generation" dynamic HTML generation
(templating). The fourth generation of HTML production is distinguished by
no need for tampering with the HTML.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}

# clean up cruft & move docs/quickstart away
%{__find} lib/ -name '*.tmp' -delete
%{__rm} -f lib/HTML/c
%{__rm} -f lib/HTML/Seamstress/EDIT_*
%{__mkdir} __docs
%{__mv} lib/HTML/Seamstress/*.html __docs/
%{__mv} lib/HTML/Seamstress.html __docs/
%{__mv} lib/HTML/Seamstress/Quickstart* __docs/
%{__rm} -rf lib/HTML/Seamstress/

%{fix_perl_path samples/}


%build
%{perl_build}


%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files -b -m}
%exclude %{perl_vendorlib}/HTML/sbase.pl
%exclude %{_mandir}/man3/HTML::sbase.*
%exclude %{perl_vendorlib}/HTML/spkg.pl
%exclude %{_mandir}/man3/HTML::spkg.*
%doc ChangeLog discuss/ README samples/ todo __docs/*


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 4.26-2.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7

* Fri Apr 14 2006 Marius Feraru <altblue@n0i.net> - 4.26-1.n0i.2
- version 4.26

* Sun Apr 09 2006 Marius Feraru <altblue@n0i.net> 4.25-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer v1.12.1
- rebuild on perl 5.8.8
